| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LocatorsIterator Struct Referenceabstract

Provides a Locator's iterator interface that can be used by different Locator's containers. More...

`#include <LocatorsIterator.hpp>`

Inheritance diagram for LocatorsIterator:
[legend]

## Public Member Functions

virtual LocatorsIterator & | operator++ ()=0
| Increment operator.
virtual bool | operator== (const LocatorsIterator &other) const =0
| Equal to operator.
virtual bool | operator!= (const LocatorsIterator &other) const =0
| Not equal to operator.
virtual const Locator & | operator* () const =0
| Dereference operator.

## Detailed Description

Provides a Locator's iterator interface that can be used by different Locator's containers.

## Member Function Documentation

## ◆ operator!=()

virtual bool operator!= | ( | const LocatorsIterator & | other | ) | const

pure virtual

Not equal to operator.

Parameters

  other | LocatorsIterator to compare.

Returns
  true if not equal.
  false otherwise.

Implemented in Locators, and LocatorSelector::iterator.

## ◆ operator*()

virtual const Locator & operator* | ( |  | ) | const

pure virtual

Dereference operator.

Returns
  const Locator& Reference to the locator pointed by the LocatorsIterator.

Implemented in Locators, and LocatorSelector::iterator.

## ◆ operator++()

virtual LocatorsIterator & operator++ | ( |  | ) |

pure virtual

Increment operator.

Returns
  LocatorsIterator& reference to the next LocatorsIterator.

Implemented in Locators, and LocatorSelector::iterator.

## ◆ operator==()

virtual bool operator== | ( | const LocatorsIterator & | other | ) | const

pure virtual

Equal to operator.

Parameters

  other | LocatorsIterator to compare.

Returns
  true if equal.
  false otherwise.

Implemented in Locators, and LocatorSelector::iterator.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/LocatorsIterator.hpp